<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    try{
        console.log(message);
    }
    catch(e){
        console.log(e.message)
    }
    finally{
        alert("đây là phần tử được chạy cuối cùng")
    }
    // 
    var domain ='qa.google.com'
    try{
      if(domain!='google.com'){
          throw new Error("Domain này không phải của trang chủ");
      }
    }
    catch(e){
        console.log(e.message)
    }
    finally{
        alert("đây là phần tử được chạy cuối cùng")
    }

    //
    function UserError(){
        this.throwLogin = function(){
            throw new Error('Invalid usernam or password')
        }
        this.throwSesstion = function(){
            throw new Error('Your request is timeout')
        }
        return this;
    }
    var username = 'Long'
    var password = '123'

    try{
        if(username!=='Long1' || password!=='1233'){
            var UserError = new UserError();
            UserError.throwLogin();
            }
        }catch(e){
            console.log(e.message);
    }
    
    
    </script>
</body>
</html>